MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002016VCMIGUI - PreGamepublic2014-12-27 13:262016-11-11 08:22
ReporterDydzio 
Assigned ToFay 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoft WindowsOSWindows 7OS VersionHome Premium x64
Product Version0.97b 
Target VersionFixed in Version0.97c 
Summary0002016: After selecting starting town and hero, that hero is unable to be selected again after picking another town.
DescriptionHeroes are "leaking" from the available list when choosing them in map options and then switching to another town and back to the previous one. One way to restore them is changing to another map, and then returning back to desired one.
Steps To Reproduce1. Choose a map which allows you to choose town and hero in map options.
2. Pick a town (for example Conflux) and then non random hero (for example Grindan).
3. Select another town while Grindan is currently selected hero.
4. Switch back to previous town (in this case Conflux).
5. Now when selecting a Conflux hero then Grindan does not appear on the list. Repeat above steps to make more heroes disappear from the list.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005393)
Fay (developer)
2015-01-25 10:36

Fixed in pull request https://github.com/vcmi/vcmi/pull/76 [^] (commit https://github.com/Fayth/vcmi/commit/ad8a6c55d7f57d62caba084ca0c6305ce4bc973f [^] ).

- Issue History
Date Modified Username Field Change
2014-12-27 13:26 Dydzio New Issue
2014-12-27 13:26 Dydzio Status new => assigned
2014-12-27 13:26 Dydzio Assigned To => Tow
2015-01-25 10:35 Fay Assigned To Tow => Fay
2015-01-25 10:35 Fay Status assigned => resolved
2015-01-25 10:35 Fay Resolution open => fixed
2015-01-25 10:35 Fay Fixed in Version => 0.97c
2015-01-25 10:36 Fay Note Added: 0005393
2016-11-11 08:22 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean